summaryrefslogtreecommitdiff
path: root/tests/dd
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2013-07-18 18:39:55 +0100
committerPádraig Brady <P@draigBrady.com>2013-07-19 11:23:12 +0100
commite6fc265b755eef0eae425caec3f93b8e28dbdddb (patch)
tree45d2cb1dabaa74eb9247ea0fc9f12a2e33e4d04d /tests/dd
parent5fdb50825f598035d52ea8a26be7611e1a906703 (diff)
downloadcoreutils-e6fc265b755eef0eae425caec3f93b8e28dbdddb.tar.xz
dd: make status=none suppress all diagnostics
* src/dd.c (STATUS_NONE): Simplify the enum so that it's more general than just suppressing transfer counts. Then test this in all locations where non fatal diagnostics are output. * tests/dd/misc.sh: Ensure the diagnostic about being unable to skip past the end of input is suppressed. * NEWS: Mention the change in behavior. Fixes http://bugs.gnu.org/14897
Diffstat (limited to 'tests/dd')
-rwxr-xr-xtests/dd/misc.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/dd/misc.sh b/tests/dd/misc.sh
index b9ad31ab0..1f53b3a37 100755
--- a/tests/dd/misc.sh
+++ b/tests/dd/misc.sh
@@ -32,10 +32,12 @@ ln -s $tmp_in $tmp_sym || framework_failure_
# check status=none suppresses all output to stderr
dd status=none if=$tmp_in of=/dev/null 2> err || fail=1
-test -s err && fail=1
+test -s err && { cat err; fail=1; }
+dd status=none if=$tmp_in skip=2 of=/dev/null 2> err || fail=1
+test -s err && { cat err; fail=1; }
# check status=none is cumulative with status=noxfer
dd status=none status=noxfer if=$tmp_in of=/dev/null 2> err || fail=1
-test -s err && fail=1
+test -s err && { cat err; fail=1; }
dd if=$tmp_in of=$tmp_out 2> /dev/null || fail=1
compare $tmp_in $tmp_out || fail=1